using BBM.ChatGLM.Dtos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BBM.ChatGLM.User.Repositorys
{
    public interface IUserFreeSqlRepository
    {
        Task<List<UserDto>> PageAsync(string name, int pageSize, int pageIndex, Guid? tenantId, bool? enabled = null);
        Task<long> CountAsync(string name, Guid? tenantId, bool? enabled = null);
        Task<List<IdNameDto>> GetRolesAsync(Guid? tenantId);
    }
}
